#!/bin/bash
ccidinfopath="/usr/lib/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY VpnKey"       "0x2022" "0x0008"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY VpnKeyLoader" "0x2022" "0x0005"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY Avr32"        "0x2022" "0x013F"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY Avr32Loader"  "0x2022" "0x0003"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY Sam"          "0x2022" "0x0202"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY SamLoader"    "0x2022" "0x0201"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY G55"          "0x2022" "0x0204"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY G55Loader"    "0x2022" "0x0203"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY GD32"         "0x2022" "0x0208"
/usr/lib/Amicon_ip-client/drvinst -iccid "$ccidinfopath" "AMICON VPN-KEY GD32Loader"   "0x2022" "0x0207"
useddaemon="initd"
if [ `command -v systemctl` ]; then
  useddaemon="systemd"
fi
echo "Restarting pcscd by $useddaemon..."
if [ $useddaemon = "systemd" ] ; then
  systemctl enable pcscd.service
  systemctl restart pcscd.service
else
  service pcscd restart
fi